LDAPPASSWD(1)

NAME
ldappasswd - change the password of an LDAP entry

SYNOPSIS
ldappasswd [-A] [-a oldPasswd] [-C] [-D binddn [-d debuglevel] [-h ldaphost] [-n] [-p ldapport] [-S] [-s newPasswd] [-v] [-W] [-w passwd] [-O security-properties] [-I] [-Q] [-U username] [-x] [-X authzid] [-Y mech] [-Z[Z]]

DESCRIPTION
ldappasswd is a tool to set the password of an LDAP user.

ldappasswd sets the password of associated with the user. If the new password is not specified on the command line or the user doesn't enable prompting, the server will be asked to generate a password for the user.

ldappasswd is neither designed nor intended to be a replacement for passwd(1) and should not be installed as such.

OPTIONS

-A  Prompt for old password. This is used instead of specifying the password on the command line.

-a oldPasswd
    Set the old password to oldPasswd.

-C  Automatically chase referrals.

-x  Use simple authentication instead of SASL.

-D binddn
    Use the Distinguished Name binddn to bind to the LDAP directory. This flag is not optional. The user DN will be used if the bind DN is not provided.

-d debuglevel
    Set the LDAP debugging level to debuglevel. ldappasswd must be compiled with LDAP_DEBUG defined for this option to have any effect.

-h ldaphost
    Specify an alternate host on which the ldap server is running.

-n  Do not set password. (Can be useful when used in conjunction with -v or -d)

-S  Prompt for new password. This is used instead of specifying the password on the command line.

-s newPasswd
    Set the new password to newPasswd.

-p ldapport
    Specify an alternate port on which the ldap server is running.

-v  Increase the verbosity of output. Can be specified multiple times.

-W  Prompt for bind password. This is used instead of specifying the password on the command line.

-w passwd
    Use passwd as the password to bind with.

-O security-properties
    Specify SASL security properties.

-I  Enable SASL Interactive mode. Always prompt. Default is to prompt only as needed.

-Q  Enable SASL Quiet mode. Never prompt.

-U username
    Specify the username for SASL bind. The syntax of the username depends on the actual SASL mechanism used.

-X authzid
    Specify the requested authorization ID for SASL bind. authzid must be one of the following formats: dn:<distinguishedname> or u:<username>.

-Y mech
    Specify the SASL mechanism to be used for authentication. If it's not specified, the program will choose the best mechanism the server knows.

-Z[Z]
    Issue StartTLS (Transport Layer Security) extended operation. If you use -ZZ, the command will require the operation to be successful

SEE ALSO
ldap_sasl_bind(3) ldap_extended_operation(3) ldap_start_tls(3)

AUTHOR
The OpenLDAP Project <http://www.openldap.org/>

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.